"use client"
import { Dispatch, SetStateAction, useState } from 'react';
import {
  ResizableHandle,
  ResizablePanel,
  ResizablePanelGroup
} from 'apps/frontend/src/components/ui/resizable';
import { ESubPage, SubPage, SubPageSelector } from '../components/sub-pages';

export default function HomePage() {
  const [currentSubPage, setCurrentSubPage] = useState<ESubPage>(0)
  return (
    <main className="w-full h-full bg-background border border-muted p-2 rounded-md flex flex-row justify-stretch items-stretch">
      <ResizablePanelGroup
        direction="horizontal">
        <ResizablePanel
          defaultSize={20}
          minSize={15}
          maxSize={25}
          className={"w-1/5 h-full p-1 flex flex-col items-center"}>
          <SubPageSelector
            currentSubPage={currentSubPage}
            setCurrentSubPage={setCurrentSubPage}
          />
        </ResizablePanel>
        <ResizableHandle withHandle />
        <ResizablePanel
        className={"w-full flex justify-center items-center m-3"}>
          <SubPage currentSubPage={currentSubPage}/>
        </ResizablePanel>
      </ResizablePanelGroup>
    </main>
  );
}


