import { useState } from 'react';
import { HomeIcon } from 'lucide-react';
import {
  FilesDataTable, filesTableColumns
} from 'apps/frontend/src/components/tables/files-table';


export interface SubHomePageProps {

}

export function SubHomePage(props: SubHomePageProps) {
  const [isLoaded, setIsLoaded] = useState<boolean>(false);

  return (<section className={"w-full h-full rounded bg-card flex flex-col"}>
    <div className={"flex flex-row justify-start items-center gap-2 m-2"}>
      <HomeIcon
        className={"w-8 h-8 text-secondary"}
      />
      <h1 className={"text-2xl font-bold"}>Page principal</h1>
    </div>
    <div className={"m-1 flex flex-col justify-start items-center w-5/6 self-center h-full"}>
      <FilesDataTable columns={filesTableColumns} data={[{
        "uuid": "bbc17f8c-244d-4a44-8faf-c5e1ec0786bf",
        "fileName": "test",
        "checksum": "60d6473dc75edd2e885cc32c098f0379a5dd2d8175de0df1ef7526636b2a03f5",
        "extension": "jpeg",
        "groupId": null,
        "fileSize": 483636,
        "fileType": "2c1fb8eb-59b1-4bef-b50d-6bc854f46105",
        "isRestricted": false,
        "isDocumentation": false,
        "uploadedAt": "2024-10-21T11:40:36.350Z",
        "uploadedBy": "Avnyr"
      }]}/>
    </div>
  </section>)
}